@charset "utf-8";

/* -----------------------------------------------------------
    niwork-relation 一覧   ※全ページ共通のため編集不可
-------------------------------------------------------------- */
/* -----------------------------------------------------------
   cmn-works-list
-------------------------------------------------------------- */

.relation-area{
	padding: 100px 0 100px;
	margin: 0px 0;
}
#blog.works .contents .relation-area{
	background: url(../img/bg-diagonal.png) repeat left top;
	padding: 100px 0 100px;
	margin: 0px 0;
}
#blog.works .contents .relation-area{
}
.relation-area h4.title{
	font-size: 3.2rem;
	text-align: center;
	margin: 0px 0 50px;
}
.niwork-relation {
    margin: 40px auto 0;
}

#blog.works .contents .niwork-relation {
    margin: 40px auto 0;
}

.niwork-relation__list {
    display: flex;
	gap: 20px;
	border-radius: 5px;
}

.niwork-relation__item {
    flex-shrink: 0;
    width: calc((100% - 60px) / 4);
    position: relative;    
	background: #fff;
	border: 1px solid var(--gray01);
    border-radius: 5px;
    box-shadow: 2px 2px 16px rgba(0, 0, 0, .1);
    transition: .5s;
    top: 0;
}

.niwork-relation__item a{
    width: 100%;
    position: relative;
	display: inline-block;
}

.niwork-relation__item:hover {
    box-shadow: none;
}

.niwork-relation__link {
    background: #fff;
    display: block;
    padding: 0 0 0px 0;
    position: relative;
	border-radius: 5px;
}
.niwork-relation__link .works-img{
	border-radius: 5px 5px 0px 0px;
}

.niwork-relation__link .works-img img{
	width: 100%;
    height: 188px;
    object-fit: cover;
    object-position: top;
    border-radius: 5px 5px 0px 0px;
}

.niwork-relation__link .txt-box{
	padding: 0 20px;
}

.niwork-relation__link .txt-box .cate-wrap{
    display: flex;
	flex-wrap: wrap;
	gap: 5px;
	margin: 10px auto;
}
.niwork-relation__link .txt-box .cate-wrap li{
	background: #fff;
    border-radius: 50px;
    border: 1px solid var(--black);
    padding: 5px 15px;
    font-size: 1.4rem;
    line-height: 1;
}

.niwork-relation__link .txt-box .cate-wrap li.type1{
    border: 1px solid var(--green);
}
.niwork-relation__link .txt-box .cate-wrap li.type2{
    border: 1px solid var(--blue);
}
.niwork-relation__link .txt-box .cate-wrap li.type3{
    border: 1px solid var(--orange);
}
.niwork-relation__link .txt-box .cate-wrap li.type4{
    border: 1px solid var(--purple);
}
.niwork-relation__link .txt-box .cate-wrap li.type5{
    border: 1px solid var(--pink);
}
.niwork-relation__link .works-box{
	margin: 10px 0;
	display: flex;
	flex-wrap: wrap;
    gap: 10px;
}

.niwork-relation__link .works-box .works-cate{
	background: var(--blue);
    border-radius: 50px;
    border: 1px solid var(--blue);
    padding: 5px 15px;
    font-size: 1.4rem;
    line-height: 1;
    display: flex;
    flex-shrink: 0;
    color: #fff;
}

.niwork-relation__link .works-box .works-service-cate{
	background: #fff;
    border-radius: 50px;
    border: 1px solid var(--blue);
    padding: 5px 15px;
    font-size: 1.4rem;
    line-height: 1;
    display: flex;
    flex-shrink: 0;
}

.niwork-relation__link .works-box .works-service-cate{
	background: #fff;
    border-radius: 50px;
    border: 1px solid var(--blue);
    padding: 5px 15px;
    font-size: 1.4rem;
    line-height: 1;
    display: flex;
    flex-shrink: 0;
}

.niwork-relation__link .niwork-top__ttl {
    font-size: 1.8rem;
    font-weight: 600;
    line-height: 1.5;
	margin: 10px 0 0;
}

.niwork-relation__link .industry-tag {
	margin: 20px 0;
    font-size: 1.4rem;
	color: #333;
}

.niwork-relation__link .client{
	display: flex;
    gap: 10px;
    position: relative;
    align-items: center;
    margin: 8px auto;
    font-size: 1.4rem;
}
.niwork-relation__link .client div{
    position: relative;
    color: var(--blue);
	padding: 8px 10px;
	background: var(--blue01);
    font-size: 1.4rem;
	line-height: 1.4;
	border-radius: 3px;
}

.niwork-relation__link .client div:before {
    display: inline-block;
    margin: 0 10px 0 0;
    content: "\f007";
    font-family: FontAwesome;
    font-weight: normal;
    font-size: 1.4rem;
    color: var(--blue);
}
.niwork-relation__link .client div.industry-tag{
	background: none;
    font-size: 1.4rem;
	padding: 0;
}

.niwork-relation__link .client div.industry-tag:before {
	display: none;
}

@media screen and (min-width: 769px) {
    .niwork-relation__link:hover {
        border-color: var(--link);
    }
}

/*.niwork-relation__link::before {
    bottom: 20px;
    content: "\f178";
    font: 900 1.7rem/1 var(--webicon);
    transition: .5s;
    position: absolute;
    right: 20px;
}*/

/*
@media screen and (min-width: 769px) {
    .niwork-relation__link:hover::before {
        right: 15px;
    }
}
*/

.niwork-relation__ttl {
    color: var(--cmnblack);
    font-weight: bold;
    font-size: 2.5rem;
    line-height: 1.5;
    letter-spacing: .05em;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

@media screen and (max-width: 768px) {
	
	#blog.works .contents .relation-area{
		padding: 40px 0 40px;
	}
	
	#blog.works .contents .niwork-relation {
		margin: 20px auto 0;
	}
	.relation-area {
		padding: 40px 20px 40px;
	}
	.niwork-relation {
		margin: 20px auto 0;
	}
	.relation-area h4.title {
		font-size: 2.4rem;
		margin: 0px 0 30px;
	}
	
    .niwork-relation__list {
        padding: 0 0;
		flex-wrap: wrap;
		gap: 10px;
    }

    .niwork-relation__item {
        width: calc((100% - 10px) / 2);
		box-shadow: none;
    }

	.niwork-relation__link .txt-box{
		padding: 0 10px;
	}
	.niwork-relation__link .txt-box .cate-wrap li {
		padding: 3px 10px;
		font-size: 0.9rem;
	}
	.niwork-relation__link .txt-box .cate-wrap li.type3,
	.niwork-relation__link .txt-box .cate-wrap li.type4,
	.niwork-relation__link .txt-box .cate-wrap li.type5{
		font-size: 1.0rem;
	}
    .niwork-relation__link::before {
        font-size: 1.4rem;
        bottom: 10px;
        right:10px;
    }
	
	.niwork-relation__link .works-img{
	}

	.niwork-relation__link .works-img img{
		width: 100%;
		height: 150px;
	}
	.niwork-relation__link .works-box .works-cate{
		font-size: 1.3rem;
	}

	
	.niwork-relation__link .niwork-top__ttl{
		font-size: 1.5rem;
		margin: 0 auto;
	}

	.niwork-relation__link .client{
		display: block;
		font-size: 1.4rem;
	}
	
	.niwork-relation__link .client div {
		padding: 10px 5px;
		font-size: 1.3rem;
	}
	.niwork-relation__link .client div:before {
		display: inline-block;
		margin: 0 5px 0 0;
		font-size: 1.3rem;
		line-height: 1.5;
	}
	
    .niwork-relation__link {
        padding: 0px;
    }
	
	.niwork-relation__link .client div.industry-tag {
		font-size: 1.3rem;
		margin: 5px 0 10px;
	}

    .niwork-relation__ttl {
        font-size: 2rem;margin: 0 auto;
        line-height: 1.5;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
        max-height: 60px;
        white-space: wrap;
    }
	.niwork-relation__link .works-box .works-cate,
	.niwork-relation__link .works-box .works-service-cate{
		font-size: 1.1rem;
        padding: 4px 10px;
	}
    
	.niwork-relation__link .works-box {
		gap: 5px;
		margin: 10px 0 0px;
	}
}

/* -----------------------------------------------------------
    BeforeAfter画像
-------------------------------------------------------------- */
.niwork-relation__bawrap {
    align-items: center;
    display: flex;
    gap: 5%;
}

.niwork-relation__ba {
    flex-shrink: 0;
}

[data-workrel_ba="before"] {
    width: 38%;
    position: relative;
}

.niwork-relation__list .single-image [data-workrel_ba="before"] {
    display: none;
}

[data-workrel_ba="after"] {
    width: 57%;
}

[data-workrel_ba="before"]::before {
    border-style: solid;
    border-width: 22px 0 22px 11px;
    border-color: transparent transparent transparent #ddd;
    content: "";
    right: -19px;
    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    width: 0;
    height: 0;
}

.niwork-relation__ba .baimgwrap {
    position: relative;
}

.niwork-relation__ba .baimgwrap::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
}

.niwork-relation__ba .baimg {
    aspect-ratio: 3/2;
}

.niwork-relation__ba img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.niwork-relation__ba .bacap {
    color: #fff;
    font-family: var(--en);
    left: 0;
    top: 0;
    position: absolute;
    padding: 6px 10px 7px;
}

[data-workrel_ba="before"] .bacap {
    background: var(--gray);
    font-size: 1.3rem;
    position: absolute;
}

[data-workrel_ba="after"] .bacap {
    background: var(--main);
    font-size: 1.7rem;
}

.niwork-relation__list .single-image [data-workrel_ba="after"] .bacap {
    display: none;
}

@media screen and (max-width: 768px) {

    .niwork-relation__bawrap {
        gap: 30px;
        flex-direction: column;
    }

    [data-workrel_ba="before"] {
        width: 50%;
    }

    [data-workrel_ba="after"] {
        width: 100%;
    }

    [data-workrel_ba="before"]::before {
        border-color: #ddd transparent transparent transparent;
        border-width: 12px 20px 0px 20px;
        bottom: -20px;
        right: 0;
        left: 50%;
        top: auto;
        -webkit-transform: translateX(-50%);
        transform: translateX(-50%);
    }

    .niwork-relation__ba .bacap {
        padding: 4px 8px 5px;
    }

    [data-workrel_ba="before"] .bacap {
        font-size: 1.2rem;
    }

    [data-workrel_ba="after"] .bacap {
        font-size: 1.5rem;
    }
}